/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "Apache Log4cxx", "index.html", [
    [ "Short introduction to Apache Log4cxx", "index.html#autotoc_md44", null ],
    [ "Community", "community.html", [
      [ "Issue Tracking", "issue-tracking.html", [
        [ "Overview", "issue-tracking.html#autotoc_md12", null ],
        [ "Issue Tracking", "issue-tracking.html#autotoc_md13", null ]
      ] ],
      [ "Mailing Lists", "mailing-lists.html", null ]
    ] ],
    [ "Usage", "usage-overview.html", [
      [ "Loggers, Appenders and Layouts", "usage.html", [
        [ "Loggers", "usage.html#loggers", [
          [ "Hierarchy", "usage.html#hierarchy", null ],
          [ "Levels", "usage.html#levels", [
            [ "Level Inheritance", "usage.html#level-inheritance", null ]
          ] ],
          [ "Requests", "usage.html#requests", null ],
          [ "Basic Selection Rule", "usage.html#selection-rule", null ]
        ] ],
        [ "Appenders", "usage.html#appenders", [
          [ "Additivity", "usage.html#appender-additivity", null ]
        ] ],
        [ "Layouts", "usage.html#layouts", null ],
        [ "Example Programs", "usage.html#coding", [
          [ "A Simple Example", "usage.html#example1", null ],
          [ "A Less Simple Example", "usage.html#example2", null ],
          [ "Runtime Configuration", "usage.html#configuration", null ]
        ] ],
        [ "Default Initialization", "usage.html#default-initialization", null ],
        [ "Nested Diagnostic Contexts", "usage.html#nested-diagnostic-contexts", null ],
        [ "Logging Custom Types", "usage.html#custom-types", null ],
        [ "Logging with {fmt}", "usage.html#logging-with-fmt", null ],
        [ "Internal Debugging", "usage.html#internal-debugging", null ],
        [ "Overhead", "usage.html#request-cost", [
          [ "Removing log statements", "usage.html#removing-log-statements", null ],
          [ "Removing location information", "usage.html#removing-location-information", null ]
        ] ],
        [ "Conclusions", "usage.html#conclusions", null ]
      ] ],
      [ "Filtering Log Messages", "filters.html", [
        [ "Filtering Messages", "filters.html#filtering", null ],
        [ "MapFilter", "map-filter.html", null ],
        [ "LocationInfoFilter", "location-info-filter.html", null ]
      ] ],
      [ "Threading", "threading.html", [
        [ "Threading Notes with Log4cxx", "threading.html#threading-notes", [
          [ "Unexpected Exit", "threading.html#unexpected-exit", null ],
          [ "Signal Handling with Log4cxx", "threading.html#signal-handling", [
            [ "Configuring Thread", "threading.html#configuring", null ]
          ] ]
        ] ]
      ] ],
      [ "Extending Log4cxx", "extending-log4cxx.html", null ],
      [ "Stacktrace Support", "stacktrace-support.html", [
        [ "Stacktrace Support", "stacktrace-support.html#autotoc_md54", [
          [ "Putting the stacktrace into the MDC", "stacktrace-support.html#autotoc_md55", null ]
        ] ]
      ] ],
      [ "FAQ", "faq.html", [
        [ "Frequently Asked Technical Questions", "faq.html#autotoc_md39", [
          [ "<a name=\"table_of_contents\"></a>Table of contents", "faq.html#autotoc_md40", null ],
          [ "<a name=\"custom_levels\"></a>How do I add a custom level to Apache Log4cxx?", "faq.html#autotoc_md41", null ],
          [ "<a name=\"msvc_crash\"></a>My application on Windows crashes on shutdown?", "faq.html#autotoc_md42", null ],
          [ "<a name=\"unicode_supported\"></a>Does Apache Log4cxx support Unicode?", "faq.html#autotoc_md43", null ]
        ] ]
      ] ],
      [ "Configuration Samples", "configuration-samples.html", [
        [ "Patterns", "configuration-samples.html#patterns", [
          [ "Pattern 1", "configuration-samples.html#pattern1", null ],
          [ "Pattern 2", "configuration-samples.html#pattern2", null ],
          [ "Pattern 3", "configuration-samples.html#pattern3", null ],
          [ "Pattern 4", "configuration-samples.html#pattern4", null ]
        ] ],
        [ "XML Files", "configuration-samples.html#xmlfiles", [
          [ "XML Example 1", "configuration-samples.html#xml-example-1", null ],
          [ "XML Example 2", "configuration-samples.html#xml-example-2", null ],
          [ "XML Example 3", "configuration-samples.html#xml-example-3", null ],
          [ "XML Example 4", "configuration-samples.html#xml-example-4", null ]
        ] ]
      ] ],
      [ "Qt Support", "qt-support.html", null ],
      [ "Log4cxx Performance", "performance.html", [
        [ "Log4cxx Performance", "performance.html#autotoc_md53", null ]
      ] ],
      [ "Multiprocess Logging", "multiprocess-logging.html", [
        [ "Logging With Multiple Processes", "multiprocess-logging.html#autotoc_md52", null ]
      ] ],
      [ "Environment Variables", "environment-variables.html", [
        [ "Environment Variables Used by Log4cxx", "environment-variables.html#autotoc_md38", null ]
      ] ],
      [ "Macros Influencing Log4cxx", "macros-influencing-log4cxx.html", [
        [ "Macros that influence Log4cxx", "macros-influencing-log4cxx.html#autotoc_md51", null ]
      ] ]
    ] ],
    [ "Get", "get.html", [
      [ "Download", "download.html", [
        [ "Download Apache Log4cxx 1.1.0", "download.html#autotoc_md56", [
          [ "Previous Releases", "download.html#autotoc_md57", null ]
        ] ]
      ] ],
      [ "Changelog", "changelog.html", [
        [ "Release History", "changelog.html#autotoc_md0", [
          [ "Release 1.1.0 - 2023-05-01", "changelog.html#rel_1_1_0", null ],
          [ "Release 1.0.0 - 2023-01-01", "changelog.html#rel_1_0_0", null ],
          [ "Bug", "changelog.html#autotoc_md1", null ],
          [ "New Feature", "changelog.html#autotoc_md2", null ],
          [ "Improvement", "changelog.html#autotoc_md3", null ],
          [ "Release 0.13.0 - 2022-04-15", "changelog.html#rel_13_0", null ],
          [ "Bug", "changelog.html#autotoc_md4", null ],
          [ "New Feature", "changelog.html#autotoc_md5", null ],
          [ "Improvement", "changelog.html#autotoc_md6", null ],
          [ "Wish", "changelog.html#autotoc_md7", null ],
          [ "Release 0.12.1 - 2021-09-21", "changelog.html#rel_12_1", null ],
          [ "Bug", "changelog.html#autotoc_md8", null ],
          [ "Release 0.12.0 - 2021-05-01", "changelog.html#rel_12_0", null ],
          [ "Bug", "changelog.html#autotoc_md9", null ],
          [ "New Feature", "changelog.html#autotoc_md10", null ],
          [ "Improvement", "changelog.html#autotoc_md11", null ],
          [ "Release 0.11.0 - 2020-08-09", "changelog.html#rel_11_0", null ],
          [ "Release 0.10.0 - 2008-04-03", "changelog.html#rel_10_0", null ],
          [ "Release 0.9.7 - 2004-05-10", "changelog.html#rel_9_7", null ],
          [ "Release 0.9.6 - 2004-04-11", "changelog.html#rel_9_6", null ],
          [ "Release 0.9.5 - 2004-02-04", "changelog.html#rel_9_5", null ],
          [ "Release 0.9.4 - 2003-10-25", "changelog.html#rel_9_4", null ],
          [ "Release 0.9.3 - 2003-09-19", "changelog.html#rel_9_3", null ],
          [ "Release 0.9.2 - 2003-08-10", "changelog.html#rel_9_2", null ],
          [ "Release 0.9.1 - 2003-08-06", "changelog.html#rel_9_1", null ],
          [ "Release 0.9.0 - 2003-08-06", "changelog.html#rel_9_0", null ],
          [ "Release 0.1.1 - 2003-07-09", "changelog.html#rel_1_1", null ],
          [ "Release 0.1.0 - 2003-07-08", "changelog.html#rel_1_0", null ],
          [ "Release 0.0.1 - 2003-05-31", "changelog.html#rel_0_1", null ]
        ] ]
      ] ],
      [ "License", "license.html", [
        [ "Overview", "license.html#autotoc_md49", [
          [ "Project License", "license.html#autotoc_md50", null ]
        ] ]
      ] ]
    ] ],
    [ "Development", "development-overview.html", [
      [ "Source Repository", "source-repository.html", [
        [ "Overview", "source-repository.html#autotoc_md34", [
          [ "Web Access", "source-repository.html#autotoc_md35", null ],
          [ "Anonymous access", "source-repository.html#autotoc_md36", null ],
          [ "Pull Requests", "source-repository.html#autotoc_md37", null ]
        ] ]
      ] ],
      [ "Dependencies", "dependencies.html", [
        [ "Log4cxx Dependencies", "dependencies.html#autotoc_md29", [
          [ "APR+APR-Util", "dependencies.html#autotoc_md30", null ],
          [ "sed+gzip+zip", "dependencies.html#autotoc_md31", null ],
          [ "log4j+Java", "dependencies.html#autotoc_md32", null ]
        ] ],
        [ "Licenses(direct dependencies only)", "dependencies.html#autotoc_md33", null ]
      ] ],
      [ "Building", "building.html", [
        [ "Building Apache Log4cxx", "building.html#autotoc_md27", [
          [ "Covered by the team", "building.html#autotoc_md28", null ]
        ] ]
      ] ],
      [ "Build with CMake", "build-cmake.html", [
        [ "Building Apache Log4cxx with CMake", "build-cmake.html#autotoc_md14", [
          [ "Quick start:", "build-cmake.html#autotoc_md15", null ],
          [ "ccmake options", "build-cmake.html#autotoc_md16", null ],
          [ "A note on C++ version and Boost", "build-cmake.html#autotoc_md17", null ]
        ] ],
        [ "Platform specific notes:", "build-cmake.html#autotoc_md18", [
          [ "Mac OS/X:", "build-cmake.html#autotoc_md19", null ],
          [ "Debian:", "build-cmake.html#autotoc_md20", null ],
          [ "FreeBSD:", "build-cmake.html#autotoc_md21", null ],
          [ "Windows:", "build-cmake.html#autotoc_md22", null ]
        ] ],
        [ "Using Log4cxx in a CMake build", "build-cmake.html#autotoc_md23", null ]
      ] ],
      [ "Building with vcpkg", "build-vcpkg.html", [
        [ "Building Apache Log4cxx with vcpkg", "build-vcpkg.html#autotoc_md24", [
          [ "Preparation", "build-vcpkg.html#autotoc_md25", null ],
          [ "Building log4cxx.dll", "build-vcpkg.html#autotoc_md26", null ]
        ] ]
      ] ],
      [ "# Library Design Notes", "library-design.html", [
        [ "Use of class-specific structs to hold data.", "library-design.html#autotoc_md45", null ],
        [ "Inheriting classes with private data", "library-design.html#autotoc_md46", [
          [ "Example", "library-design.html#autotoc_md47", null ]
        ] ],
        [ "See Also", "library-design.html#autotoc_md48", null ]
      ] ]
    ] ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", null ],
        [ "Functions", "namespacemembers_func.html", null ],
        [ "Typedefs", "namespacemembers_type.html", null ],
        [ "Enumerations", "namespacemembers_enum.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", null ],
        [ "Typedefs", "functions_type.html", null ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", null ],
        [ "Related Symbols", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Macros", "globals_defs.html", null ]
      ] ]
    ] ],
    [ "Examples", "examples.html", "examples" ],
    [ "Apache", "^https://www.apache.org", null ],
    [ "Logging Services", "^https://logging.apache.org", null ],
    [ "Github", "^https://github.com/apache/logging-log4cxx", null ]
  ] ]
];

var NAVTREEINDEX =
[
"absolutetimedateformat_8h.html",
"classlog4cxx_1_1DefaultLoggerFactory.html#ab1a63896e9c8299d82881db2ca3c225d",
"classlog4cxx_1_1Level.html#ac4ac70f89979b37482baa482d6191ad4",
"classlog4cxx_1_1Logger.html#aea54652554a5f9c93935987af819f234",
"classlog4cxx_1_1db_1_1SQLException.html#af6617c6f457beacc896bb4a3833e07b5",
"classlog4cxx_1_1helpers_1_1ByteArrayOutputStream.html#a824dfb64486b95096c1215bdc0d69296",
"classlog4cxx_1_1helpers_1_1DateFormat.html#ae34c1e89628347c1c2ee0c974d702e81",
"classlog4cxx_1_1helpers_1_1MessageBuffer.html#a970b5dda1d9faa901def3aab0b8c7e6a",
"classlog4cxx_1_1helpers_1_1SocketException.html#a6a022d485e551aa35d3f47f3c237e817",
"classlog4cxx_1_1helpers_1_1WideMessageBuffer.html#ad4ba1527c21efe0a48e0c6a8d828edbf",
"classlog4cxx_1_1net_1_1SyslogAppender.html",
"classlog4cxx_1_1pattern_1_1LineLocationPatternConverter.html",
"classlog4cxx_1_1rolling_1_1GZCompressAction.html#a43c5aa2262a69f1143a589448b950f6a",
"classlog4cxx_1_1spi_1_1Filter.html#a0aa65f9a40236d3646e017faa3d7fc41",
"classlog4cxx_1_1wlogstream.html#aca743d0f371c591b333ac3c333477996",
"functions_f.html",
"namespacelog4cxx_1_1filter.html#adddb81167ab1a7b8085a9d1ae2578e82",
"shortfilelocationpatternconverter_8h_source.html"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';